<p-dataTable  [value]="UnitDocumentMessages">
    <p-header>
        List of Sales Note
    </p-header>
    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Note">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.content}}
        </ng-template>
    </p-column>
    <p-column header="Date">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dateCreated | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Status">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{getStatusName(rowData.currentApprovalStatus)}}
        </ng-template>
    </p-column>
</p-dataTable >